-- load the colorscheme here
vim.g.moonflyTransparent = true
-- vim.cmd([[colorscheme moonfly]])

-- set termguicolors, needed for the colorizer
vim.opt.termguicolors = true

vim.opt["tabstop"] = 2
vim.opt["shiftwidth"] = 2
vim.opt["autoindent"] = false
vim.opt["smartindent"] = false
-- vim.opt["cindent"] = true
vim.opt["expandtab"] = true

-- vim.opt["softtabstop"] = 4
-- vim.opt["smarttab"] = true

vim.wo.relativenumber = true

--require("oil").setup()
-- If you want to see more details:
--require("oil").set_columns({ "icon", "permission", "size" })

-- flutter telescope integration
require("telescope").load_extension("flutter")

vim.api.nvim_create_autocmd("BufWritePre", {
	pattern = "*",
	callback = function(args)
		require("conform").format({ bufnr = args.buf })
	end,
})

-- activate exrc to allow to run per project custom configs from .nvim.lua
vim.opt.exrc = true
